#include <stdio.h>
#include <string.h>
#include <math.h>
#define PI 3.14159265358979323846 // this is how it is in `math.h`

float circle_area(float radius) {
	return PI * radius * radius;
}

int main() {
	char shape[15]; // terminator byte is 7th byte in buffer
	char attribute[15];

	printf("Enter what shape you want to calc: \n");
	scanf("%s", &shape);
	printf("Enter what attribute you want to calc: \n");
	scanf("%s", &attribute);

	if (strcmp(shape, "circle") == 0) {
		float radius;
		printf("Enter radius of the circle: \n");
		scanf("%f", &radius);

		if (strcmp(attribute, "area") == 0) {
			printf("%f\n", PI * radius * radius);
			return 0;
		} else if (strcmp(attribute, "circumference") == 0) {
			printf("%f\n", 2 * PI * radius);
			return 0;
		} else {
			printf("Attribute `%s` does not exist!\n", attribute);
			return 1; // reject incorrect attribute
		}
	} else if (strcmp(shape, "square") == 0) {
		float width;
		printf("Enter width of the square: \n");
		scanf("%f", &width);

		if (strcmp(attribute, "area") == 0) {
			printf("%f\n", width * width);
			return 0;
		} else if (strcmp(attribute, "perimeter") == 0) {
			printf("%f\n", 4 * width);
			return 0;
		} else {
			printf("Attribute `%s` does not exist!\n", attribute);
			return 1;
		}
	} else if (strcmp(shape, "cuboid") == 0) {
		float width;
		float length;
		float height;
		printf("Enter width of the cuboid: \n");
		scanf("%f", &width);
		printf("Enter length of the cuboid: \n");
		scanf("%f", &length);
		printf("Enter height of the cuboid: \n");
		scanf("%f", &height);

		if (strcmp(attribute, "volume") == 0) {
			printf("%f\n", width * length * height);
			return 0;
		} else if (strcmp(attribute, "surface") == 0) { // should be "surface area"
			printf("%f\n", 2 * width * length + 2 * length * height + 2 * height * width);
			return 0;
		} else {
			printf("Attribute `%s` does not exist!\n", attribute);
			return 1;
		}
	} else {
		printf("Shape `%s` does not exist!\n", shape);
		return 1;
	}

	return 0;
}
